| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::TonemapReinhard Class Referenceabstract
Computational Photography » HDR imaging

This is a global tonemapping operator that models human visual system. More...

`#include <opencv2/photo.hpp>`

Inheritance diagram for cv::TonemapReinhard:

## Public Member Functions
virtual float | getColorAdaptation () const =0
virtual float | getIntensity () const =0
virtual float | getLightAdaptation () const =0
virtual void | setColorAdaptation (float color_adapt)=0
virtual void | setIntensity (float intensity)=0
virtual void | setLightAdaptation (float light_adapt)=0
Public Member Functions inherited from cv::Tonemap
virtual float | getGamma () const =0
virtual void | process (InputArray src, OutputArray dst)=0
| Tonemaps image. More...
virtual void | setGamma (float gamma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

This is a global tonemapping operator that models human visual system.

Mapping function is controlled by adaptation parameter, that is computed using light adaptation and color adaptation.

For more information see [193] .

## Member Function Documentation

## ◆ getColorAdaptation()

virtual float cv::TonemapReinhard::getColorAdaptation | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.TonemapReinhard.getColorAdaptation( |  | )

## ◆ getIntensity()

virtual float cv::TonemapReinhard::getIntensity | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.TonemapReinhard.getIntensity( |  | )

## ◆ getLightAdaptation()

virtual float cv::TonemapReinhard::getLightAdaptation | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.TonemapReinhard.getLightAdaptation( |  | )

## ◆ setColorAdaptation()

virtual void cv::TonemapReinhard::setColorAdaptation | ( | float | color_adapt | ) |
| pure virtual

Python:
| None | = | cv.TonemapReinhard.setColorAdaptation( | color_adapt | )

## ◆ setIntensity()

virtual void cv::TonemapReinhard::setIntensity | ( | float | intensity | ) |
| pure virtual

Python:
| None | = | cv.TonemapReinhard.setIntensity( | intensity | )

## ◆ setLightAdaptation()

virtual void cv::TonemapReinhard::setLightAdaptation | ( | float | light_adapt | ) |
| pure virtual

Python:
| None | = | cv.TonemapReinhard.setLightAdaptation( | light_adapt | )

The documentation for this class was generated from the following file:

- opencv2/photo.hpp